Class | RSS::Maker::RSS20::Items::Item::Enclosure
In: | rss/maker/2.0.rb
Parent: | RSS09::Items::Item::Enclosure

### Methods

have_required_values? to_rss

### Public Instance methods

have_required_values?()

[Source]

    # File rss/maker/2.0.rb, line 116
                def have_required_values?
                  @url and @length and @type
                end

to_rss(rss, item)

[Source]

    # File rss/maker/2.0.rb, line 107
                def to_rss(rss, item)
                  enclosure = Rss::Channel::Item::Enclosure.new
                  set = setup_values(enclosure)
                  if set
                    item.enclosure = enclosure
                    setup_other_elements(rss)
                  end
                end

[Validate]